# draugr.writers.mixins.video_writer_mixin.VideoWriterMixin

class draugr.writers.mixins.video_writer_mixin.VideoWriterMixin

  Bases: `ABC`

  Writer subclass that provides an interface for ‘writing’ video clips

  __init__()

  Methods

  `__init__`() |

  `video`(tag, data, step[, frame_rate, input_dims])

  param frame_rate

  abstract video(tag: str, data: Union [ ndarray , Tensor, Image], step, frame_rate: Union [ int , float ] = 30, input_dims: VideoInputDimsEnum = VideoInputDimsEnum.ntchw, **kwargs) → None

    > param frame_rate

    > param input_dims

    Parameters

      - tag –

      - data –

      - step –

      - kwargs –